Page MenuHomeFreeBSD

Switch the download page to HTTP instead of FTP
ClosedPublic

Authored by allanjude on Oct 1 2015, 9:47 AM.

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200327

Note: we should create a new CNAME or something so that the url is not http://ftp.freebsd.org/ but rather http://download.freebsd.org due to Safari bugs etc.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1474
Build 1480: Jenkins Build Doc
Build 1479: arc lint + arc unit

Event Timeline

allanjude updated this revision to Diff 8998.Oct 1 2015, 9:47 AM
allanjude retitled this revision from to Switch the download page to HTTP instead of FTP.
allanjude updated this object.
allanjude edited the test plan for this revision. (Show Details)
allanjude added reviewers: bcr, wblock, gavin, erwin.
trasz added a subscriber: trasz.Oct 1 2015, 9:49 AM

Note there is/was a PR for this, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200327. I don't understand our mirror structure, so I don't know if this change won't break some of them.

allanjude updated this object.Oct 1 2015, 9:49 AM
gavin edited edge metadata.Oct 1 2015, 12:09 PM

Yeah, let's get download.freebsd.org into DNS and just use that straight off. Let me see if I can get that in place today.

bcr accepted this revision.Oct 1 2015, 7:39 PM
bcr edited edge metadata.

I'm fine with the documentation part of the change.

This revision is now accepted and ready to land.Oct 1 2015, 7:39 PM
allanjude updated this revision to Diff 9228.Oct 8 2015, 1:23 AM
allanjude edited edge metadata.

Update the download links to use the new download.freebsd.org alias with TLS

This revision now requires review to proceed.Oct 8 2015, 1:23 AM
gavin added a comment.Oct 8 2015, 9:14 AM

Can we hold off on this for now please? We're still deciding on exactly the layout of that site - i.e. whether "/pub" will be in the URL for example.

In D3754#89953, @trasz wrote:

Ping?

I think Gavin said this is ready to go now, they were just deciding on how to structure the URLs.

trasz added a comment.Dec 2 2015, 2:55 PM

So, what needs to happen for this... to happen?

allanjude updated this revision to Diff 10886.Dec 7 2015, 6:32 PM
allanjude edited edge metadata.

Updated with new URLs

Would it be possible to change the 'max width' of the filenames in the auto-generated index?

https://download.freebsd.org/ftp/snapshots/amd64/amd64/ISO-IMAGES/11.0/

In the names of the snapshots, the end of the filename is cut off, and this is important, as it is where the 'type' of image is (memstick vs dvd etc)

wblock edited edge metadata.Dec 10 2015, 3:30 AM

Would it be possible to change the 'max width' of the filenames in the auto-generated index?
https://download.freebsd.org/ftp/snapshots/amd64/amd64/ISO-IMAGES/11.0/
In the names of the snapshots, the end of the filename is cut off, and this is important, as it is where the 'type' of image is (memstick vs dvd etc)

Would it be possible to change the 'max width' of the filenames in the auto-generated index?
https://download.freebsd.org/ftp/snapshots/amd64/amd64/ISO-IMAGES/11.0/
In the names of the snapshots, the end of the filename is cut off, and this is important, as it is where the 'type' of image is (memstick vs dvd etc)

Do we generate that with some script, or is it auto-generated by the web server? If it's a script, it doesn't appear to be in htdocs.

Do we generate that with some script, or is it auto-generated by the web server? If it's a script, it doesn't appear to be in htdocs.

It is auto-generated by the web server. Depending on the web server, you can adjust it with some configuration directives, but I am not sure what web server is used.

bcr added a comment.Jan 29 2016, 4:32 PM

Can someone from clusteradm@ help out with the webserver config, which seems to be the only showstopper now?

emaste added a subscriber: emaste.Jun 22 2016, 8:22 PM
lwhsu added a subscriber: lwhsu.Jul 22 2016, 6:23 PM
In D3754#108835, @bcr wrote:

Can someone from clusteradm@ help out with the webserver config, which seems to be the only showstopper now?

We can set this in nginx.conf:

fancyindex_name_length  100

to redefine the maximum file name length limit, patch has been sent to clusteradm@

lwhsu added a comment.Jul 22 2016, 6:26 PM

BTW, I also found some other links might need changing: https://people.freebsd.org/~lwhsu/patch/download.diff

peter added a subscriber: peter.Jul 23 2016, 8:34 PM

fancyindex_name_length is now set to 100 and will propagate in a few minutes.

The things from lwhsu's diff are machine generated; the source should be changed for those.

lwhsu added a comment.Jul 24 2016, 5:48 PM
In D3754#151727, @peter wrote:

fancyindex_name_length is now set to 100 and will propagate in a few minutes.

It seems work fine on all mirrors but not twn:
http://ftp0.twn.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/11.0/
config is not propagated in that colo, @peter ,could you help to check this?

lwhsu added a comment.Jul 25 2016, 4:27 AM

@peter has fixed this. So I think this patch is good to be merged?

lwhsu added a comment.Jul 27 2016, 4:43 PM

All mirror sites are working perfectly, I think there is nothing blocks this patch, right?

This change is waiting until the 11.0 release cycle is over

bcr added a comment.Oct 24 2016, 7:15 PM

Now that the 11.0 release cycle is finally over, can we move on with this?

lwhsu added a comment.Nov 10 2016, 5:57 AM

I believe it is fine to land this change. Is there any other concern?

@allanjude, will you commit it now?

This revision was automatically updated to reflect the committed changes.